# RPM specfile for gal module
# Generated Wed May 21 16:37:30 2003 GMT by Ximian build system
# $Id: bb_do,v 1.233 2003/05/12 02:06:07 thunder Exp $
# from $Id: ximian-build.conf,v 1.7 2003/05/20 14:54:50 dobey Exp $

%define nam	gal
%define ver	1.99.6
%define ximrev	1

Name:     	libgal2.0_3
Version: 	1.99.6
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 9.1 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/tech/
Source0:	gal-1.99.6.tar.gz
BuildRequires:	gettext
BuildRequires:	intltool >= 0.20
BuildRequires:	libglade2.0_0-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	libxml2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gnome-common
BuildRequires:	libgnomeprintui2-2_0-devel = 2.2.1.1
BuildRequires:	zlib-devel
Summary:	The GNOME Application Library
Group:		Libraries/System
Provides:	ximian-libgal2.0_3 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0_2
Obsoletes:	libgal2.0_1
Obsoletes:	libgal2.0_0

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS
%dir /usr/share/gal-2.0
/usr/share/gal-2.0/1.99.6
/usr/lib/lib*.so.3*
/usr/*/locale/*/LC_MESSAGES/*.mo


%post
ldconfig

%postun
ldconfig

%package -n libgal2.0-modules
Summary:	GTK+ Accessibility Modules for the GNOME Application Libraries
Group:		System/Libraries
Requires:	libgal2.0_3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-libgal2.0-modules = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgal2.0-modules
GTK+ Accessibility Modules for the GNOME Application Libraries

%files -n libgal2.0-modules
%defattr(-, root, root)
/usr/lib/gtk-2.0/modules/*.so


%package -n libgal2.0_3-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal2.0_3 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	libgal2.0-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	gal2-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-libgal2.0_3-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0_2-devel
Obsoletes:	libgal2.0_1-devel
Obsoletes:	libgal2.0_0-devel

%description -n libgal2.0_3-devel
Development files for the GNOME Applications library

%files -n libgal2.0_3-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/pkgconfig/*.pc
/usr/include/*
/usr/share/gal-2.0/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-1.99.6
    ;;
all)
%setup  -q -n gal-1.99.6
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed May 21 2003 Ximian, Inc.

- Version: 1.99.6-0.ximian.6.1
- Summary: New build.
- New automated build.

* Mon May 19 2003 Ximian, Inc.

- Version: 1.99.5-0.ximian.6.1
- Summary: New build.
- New automated build.

* Tue May 6 2003 Ximian, Inc.

- Version: 1.99.4-0.ximian.1
- Summary: New build.
- New automated build.

